# Uses of Class
net.shibboleth.idp.session.impl.StorageBackedSessionManager

Packages that use StorageBackedSessionManager
Package
Description
net.shibboleth.idp.session.impl
Implementations of session-related classes and interfaces.

## Uses of StorageBackedSessionManager in net.shibboleth.idp.session.impl

Fields in net.shibboleth.idp.session.impl declared as StorageBackedSessionManager
Modifier and Type
Field
Description
`private final StorageBackedSessionManager`
StorageBackedIdPSession.`sessionManager`
Back-reference to parent instance.
`private final StorageBackedSessionManager`
StorageBackedIdPSessionSerializer.`sessionManager`
Back-reference to parent instance.
Constructors in net.shibboleth.idp.session.impl with parameters of type StorageBackedSessionManager
Modifier
Constructor
Description
``
`StorageBackedIdPSession(StorageBackedSessionManager manager, String sessionId, String canonicalName, Instant creationTime)`
Constructor.
``
`StorageBackedIdPSessionSerializer(StorageBackedSessionManager manager, StorageBackedIdPSession target)`
Constructor.